CSI(1)

NAME
The Chicken Scheme interpreter

SYNOPSIS
csi [ pathname | option ... ]

DESCRIPTION
csi is an interpreter for the programming language Scheme supporting most of the features as described in the Revised^5 Report on the Algorithmic Language Scheme . csi is implemented as a program compiled with the chicken compiler.

OPTIONS

--  Ignore everything on the command-line following this marker. Runtime options -... are still recognized.

-case-insensitive
    Enables the reader to read symbols case-insensitive. The default is to read case-sensitive (in violation of R5RS). This option registers the case-insensitive feature identifier.

-batch
    Quit the interpreter after processing all command line options.

-eval expressions
    Evaluate expressions .

-feature symbol
    Registers symbol to be a valid feature identifier for cond-expand

-help
    Write a summary of the available command line options to standard ouput and exit.

-hygienic
    Load the syntax-case macro package and enable high-level macros in interpreted code. This option registers the hygienic-macros feature identifier.

-include-path pathname
    Specifies an alternative search-path for files included via the include special form. This option may be given multiple times. If the environment variable CHICKEN_INCLUDE_PATH is set, it should contain a list of alternative include pathnames separated by ; . The environment variable CHICKEN_HOME is also considered as a search path.

-no-feature symbol
    Unregisters feature identifier symbol

-no-init
    Do not load the initialization-file ~/.csirc . If this option is not given and the file ~/.csirc exists, then it is loaded before the read-eval-print loop commences.

-no-warnings
    Disables any warnings that might be issued by the reader or evaluated code.

-quiet
    Do not print a startup message.

-r5rs
    Equivalent to -hygienic -strict

-script pathname
    This is equivalent to -batch -quiet pathname , but also ignores all arguments after the argument following -script

-script-meta pathname
    This is similar to the -script option, but the file specified by pathname is opened, the first line is treated as containing additional command line options and (after processing all the options) the code from the given file is loaded.

-slib
    Allow support for Aubrey Jaffer's SLIB. This facility needs support code available at the Chicken website.

-srfi-7
    Process source files as SRFI-7 configuration language.

-strict
    Disable non-standard macros. Implies -strict-letrec and -strict-reader

-strict-srfi-0
    Disable non-standard macros except cond-expand Implies -strict-letrec and -strict-reader

-strict-reader
    Disable non-standard read syntax. Implies -case-insensitive

-version
    Write the banner with version information to standard output and exit.

ENVIRONMENT VARIABLES

CHICKEN_INCLUDE_PATH
    Contains one or more pathnames where the interpreter should also look for include-files, separated by ; characters.

CHICKEN_HOME
    Should contain the pathname of a directory where interpreter support-files can be found. This path is also added to the list of pathnames where include-filesd are searched.

CSI_OPTIONS
    When set to a string of command-line options, then the options are passed implicitly to every direct or indirect invocation of csi
    Note that runtime options of the form -... can not be passed using this method.

DOCUMENTATION
More information can be found in the Chicken Manual which is provided in HTML format as manual.html in the distribution.

BUGS
Submit bug reports by e-mail to felix@call-with-current-continuation.org

AUTHOR
csi was implemented by Felix Winkelmann (felix@call-with-current-continuation.org).

SEE ALSO
extend-csi(1) chicken(1) chicken-config(1)